### Method

# GtkSource Gutter insert

#### Declaration [src]

    gboolean
    gtk_source_gutter_insert (
      GtkSourceGutter* gutter,
      GtkSourceGutterRenderer* renderer,
      gint position
    )

#### Description [src]

Insert `renderer` into the gutter. If `renderer` is yet unowned then gutter claims its ownership. Otherwise just increases renderer’s reference count. `renderer` cannot be already inserted to another gutter.

#### Parameters

`renderer`

  Type: `GtkSourceGutterRenderer`

  A gutter renderer (must inherit from `GtkSourceGutterRenderer`).

  The data is owned by the caller of the method.

`position`

  Type: `gint`

  The renderer position.

#### Return value

Type: `gboolean`

`TRUE` if operation succeeded. Otherwise `FALSE`.